select spFuncion_DiasMes('2010','03')

DROP FUNCTION IF EXISTS spFuncion_DiasMes;
CREATE FUNCTION spFuncion_DiasMes (
	varAnio varchar(4), 
	varMes  varchar(2)
	) 
RETURNS int
BEGIN
	declare varFecha date;
	set varFecha = STR_TO_DATE(concat('01','.',varMes,'.',varAnio),'%d.%m.%Y'); 	
	return DATEDIFF(LAST_DAY(varFecha), varFecha) +1; 
end
